%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:         MATE desktop default icons
Name:            mate-icon-theme
Version:         1.6.3
Release:         %mkrel 1
# Add Mageia icon license
License:         GPLv2+ and LGPLv2+ and Creative Commons Attribution-ShareAlike
Group:           Graphical desktop/MATE
URL:             http://www.mate-desktop.org/
Source0:         http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:         mageia-menu.svg

BuildRequires:   icon-naming-utils >= 0.8.7
BuildRequires:   mate-common
BuildRequires:   inkscape
BuildArch:       noarch

Requires: hicolor-icon-theme

%description
Default icon theme for MATE Desktop

%package devel
Summary:  The pkgconfig for %{name}
Group:    Development/C
Requires: %{name} = %{version}

%description devel
The pkgconfig for %{name}.

%prep
%setup -q

%build
%configure2_5x --enable-icon-mapping

%make

%install
%makeinstall_std
touch %{buildroot}%{_iconsdir}/mate/icon-theme.cache

# Install Mageia icon
icon_dirs="16x16 22x22 24x24 32x32 48x48"
scales="16 22 24 32 48"
for i in $icon_dirs; do
  pushd %{buildroot}%{_iconsdir}/mate/$i/places
  mv start-here.png start-here-mate.png
  popd
  pushd %{buildroot}%{_iconsdir}/menta/$i/places
  mv start-here.png start-here-mate.png
  popd
done
for i in $scales; do
  inkscape -z -e %{buildroot}%{_iconsdir}/mate/${i}x${i}/places/start-here.png -w $i -h $i  \
     %{_sourcedir}/mageia-menu.svg
  inkscape -z -e %{buildroot}%{_iconsdir}/menta/${i}x${i}/places/start-here.png -w $i -h $i  \
     %{_sourcedir}/mageia-menu.svg
done
     
# automatic gtk icon cache update on rpm installs/removals
# (see http://wiki.mandriva.com/en/Rpm_filetriggers)
install -d %{buildroot}%{_localstatedir}/lib/rpm/filetriggers
cat > %{buildroot}%{_localstatedir}/lib/rpm/filetriggers/gtk-icon-cache-mate.filter << EOF
^./usr/share/icons/mate/
^./usr/share/icons/menta/
EOF
cat > %{buildroot}%{_localstatedir}/lib/rpm/filetriggers/gtk-icon-cache-mate.script << EOF
#!/bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]; then 
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/mate
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/menta
fi
EOF
chmod 755 %{buildroot}%{_localstatedir}/lib/rpm/filetriggers/gtk-icon-cache-mate.script

%post
%update_icon_cache mate

%postun
%clean_icon_cache mate

%files
%doc README TODO
%{_iconsdir}/mate
%{_iconsdir}/menta
%ghost %{_iconsdir}/mate/icon-theme.cache
%ghost %{_iconsdir}/menta/icon-theme.cache
%{_localstatedir}/lib/rpm/filetriggers/gtk-icon-cache-mate.*

%files devel
%{_datadir}/pkgconfig/%name.pc



%changelog
* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.3-1.mga4
+ Revision: 563882
-Update to new bugfix version: 1.6.3

* Sat Oct 19 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 534503
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 diogenese <diogenese> 1.6.2-1.mga4
+ Revision: 475352
- Updating mate-icon-theme from 1.6.1 to 1.6.2

* Sun Jun 23 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 446059
- New bugfix version
- imported package mate-icon-theme

